# The MEME Suite

## Motif-based sequence analysis tools

## jaspar2meme

### Usage:

`jaspar2meme [options] <jaspar directory>`

### Description

Convert a directory of JASPAR files into a MEME motif suitable for use with MEME Suite programs.

### Inputs

#### JASPAR Directory

A directory containing one or more JASPAR motif files in one of three formats.

##### JASPAR Sites Format

This format describes a motif in terms of a multiple alignment of sites. It contains a multiple alignment in modified FASTA format. Only capitalized sequence letters are part of the alignment. The sites formatted files are expected to end with the `.sites` extension.

##### JASPAR Count Format

This format describes a motif in terms of a count matrix where the rows correspond to A, C, G and T respectively. The JASPAR count files are expected to end with the `.pfm` extension.

##### CM Count Format

This format describes a motif in terms of a count matrix with each row preceeded by the letters `A|`, `C|`, `G|` and `T|`. The CM count files are expected to end with the `.cm` extension.

### Outputs

### Options

Option | Parameter | Description | Default Behaviour
--- | --- | --- | ---
General Options
-pfm |  | Read JASPAR count files (`.pfm`). | Read JASPAR site files (`.sites`).
-cm |  | Read count files (`.cm`) with line labels `A|` etc. | Read JASPAR site files (`.sites`).
-strands | 1|2 | Specify if a single strand or both strands were considered to create the motif. | Defaults to reporting that both strands were scanned.

### Example Input Formats

#### JASPAR Sites Format Example

    >MA0024 E2F     1
    aTTTGGCGC
    >MA0024 E2F     2
    TTTGGCGC
    >MA0024 E2F     3
    TTTGGCGC
    >MA0024 E2F     4
    TTTGGCGC
    >MA0024 E2F     5
    TTTCGCGC
    >MA0024 E2F     6
    TTTCGCGC
    >MA0024 E2F     7
    TTTCGCGC
    >MA0024 E2F     8
    TTTGCCGC
    >MA0024 E2F     9
    TTTCCCGC
    >MA0024 E2F     10
    TTTGGCGG

    A  [ 0  0  0  0  0  0  0  0 ]
    C  [ 0  0  0  4  2 10  0  9 ]
    G  [ 0  0  0  6  8  0 10  1 ]
    T  [10 10 10  0  0  0  0  0 ]

#### JASPAR Count Format Example

     0  3 79 40 66 48 65 11 65  0
    94 75  4  3  1  2  5  2  3  3
     1  0  3  4  1  0  5  3 28 88
     2 19 11 50 29 47 22 81  1  6

#### CM Count Format Example

    A|  0  3 79 40 66 48 65 11 65  0
    C| 94 75  4  3  1  2  5  2  3  3
    G|  1  0  3  4  1  0  5  3 28 88
    T|  2 19 11 50 29 47 22 81  1  6